Just like anything else, there are some requirements that you must meet in order to set up a PlayVox:

  1. You must have a modern web explorer with enabled JavaScript (Firefox, Chrome, Edge, Safari, or Opera). We usually recommend using Mozilla Firefox or Google Chrome in their latest versions. Minimum version PlayVox can work with are Firefox 27, Chrome 22, Internet Explorer 11, Opera 14, and Safari 7.
  2. Of Course, you’ll need a stable internet connection.
  3. To properly use PlayVox you must make sure you’ve enabled access (if having IP domain restrictions) to the following resources:

More on Supported Browsers

Last Edited: 01.30.19

Did this answer your question?